Name:           clish
Version:        0.7.3      
Release:        1%{?dist}
Summary:        A modular framework for implementing a CISCO-like CLI on a *NIX system
Group:          System Environment/Shells
License:        GPLv2 
URL:           	http://clish.sourceforge.net/
Source0: 	http://downloads.sourceforge.net/%{name}-%{version}.tar.gz   

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
Command Line Interface. 

%package devel 
Summary: Development files for the clish Library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}, ldconfig
%description devel 
Develop Libraries and head files for Clish 
 
%prep
%setup -q

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
install -d ${RPM_BUILD_ROOT}%{_sysconfdir}/clish
install -m 775 xml-examples/*.xml ${RPM_BUILD_ROOT}%{_sysconfdir}/clish/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{_libdir}/*.so.*
%{_bindir}/*

%files devel
%defattr(-,root,root,-) 
%{_libdir}/*.so 
%exclude %{_libdir}/*.a	
%{_includedir}/clish/*.h
%{_includedir}/lub/*.h
%{_includedir}/tinyrl/*.h
%{_includedir}/tinyxml/*.h
%{_sysconfdir}/clish/*.xml
%exclude %{_libdir}/*.la 



%changelog
* Fri Apr 16 2010 Devil Wang <wxjeacen@gmail.com> 0.7.3-1
- Initial Build for clish

